MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Macros | Functions
SongSave.hxx File Reference

Go to the source code of this file.

## Macros
#define | SONG_BEGIN "song_begin: "

## Functions
void | song_save (BufferedOutputStream &os, const Song &song)
void | song_save (BufferedOutputStream &os, const DetachedSong &song)
DetachedSong * | song_load (TextFile &file, const char *uri)
| Loads a song from the input file. More...

## Macro Definition Documentation

#define SONG_BEGIN "song_begin: "

Definition at line 23 of file SongSave.hxx.

## Function Documentation

DetachedSong* song_load | ( | TextFile & | file,
|  | const char * | uri
| ) |  |

Loads a song from the input file.

Reading stops after the "song_end" line.

Throws #std::runtime_error on error.

void song_save | ( | BufferedOutputStream & | os,
|  | const Song & | song
| ) |  |

void song_save | ( | BufferedOutputStream & | os,
|  | const DetachedSong & | song
| ) |  |